Page MenuHomePhabricator

Ability to enter edit summaries
Closed, ResolvedPublic

Description

It is very easy to edit Wikidata data, however it is not possible to make an edit summary while doing so. It seems that this could lead to Wikidata editors having lessened sense of the community, Wikidata community being less developed, and more misunderstandings and conflicts.


Version: unspecified
Severity: enhancement

Details

Reference
bz41490

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:51 AM
bzimport set Reference to bz41490.
bzimport added a subscriber: Unknown Object (MLST).
jeblad added a comment.Nov 1 2012, 6:34 PM

We have chosen to autogenerate as much summaries as possible, mostly to ease the workflow but also to make it easy to see whats going on inside recent changes.

It is very easy to see what is going on, but it is completely impossible to see why is it going on. For example, if I remove a link, why have I removed it? (Maybe the articles aren't about the same topics, or they are but one is an article and another is a list in which case people might disagree etc.)

For a practical example recently I removed a link from sr:Цеглинг to de:Zögling because the articles aren't about the same topic even though they have exactly the same name. Without an edit summary someone might see this this as a mistake and return the link.

I would assume manually entered edit summaries would be appended to autogenerated summaries so nothing would be lost.

I agree with Nikola: allowing users to provide an edit summary would be very handy. I don't see it as extremely high priority though.

The use case is indeed to provide an answer to the question "why" a change was made, and I think the answer to that will prequently be the same for successive edits. So I envision the UI like this:

  • in edit mode, show a "speach bubble" like input field for the reason, as a popup below the thing to edit. If the user enters a message there, keep it around for any subsequent edits on that page (clear it on reload). There should also be a "clear" button next to the input field.

It is possible to add manually summaries, but for a UI like this where there will be a high number of very small edits, I seriously doubt that it will work properly. Not because its not possible to make an additional UI, and not because its not possible to integrate the manual summaries with the autogenerated ones - its already there for some of the modules - but the users will not add summaries for such tiny updates.

This will end up with a lot of work to solve a 1% problem, focus on solving the 99% problem instead.

The users will not add summaries for 99% of their tiny updates, but the 1% of updates where they do will be the most important.

Denny added a comment.Nov 8 2012, 12:32 PM

I'd like to see a page on Wikidata.org with ideas and a resolution by the community that this is
a) needed (beyond the possibility to explain yourself on the talk page) and
b) with a design for a solution of how to actually do this.

Before that I have big trouble of commiting resources towards solving this issue.

Right now it is insiders discussing this here on Bugzilla. This does not convince me of either a nor b.

It is now possible to add user summaries using the API, the next stage is to implement this in the UI.

Change 76725 had a related patch set uploaded by Tobias Gritschacher:
Use ChangeOps for wbsetclaimvalue and wbcreateclaim

https://gerrit.wikimedia.org/r/76725

Verified in Wikidata demo July 31th.

Change 76725 merged by jenkins-bot:
Use ChangeOps for wbsetclaimvalue and wbcreateclaim

https://gerrit.wikimedia.org/r/76725

Restricted Application added a project: Wikidata. · View Herald TranscriptJul 30 2015, 10:53 AM